Package org.duckdb

# Enum Class ProfilerPrintFormat

java.lang.Object
java.lang.Enum<ProfilerPrintFormat>
org.duckdb.ProfilerPrintFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<ProfilerPrintFormat>`, `Constable`

public enum ProfilerPrintFormat extends Enum<ProfilerPrintFormat>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GRAPHVIZ`
`HTML`
`JSON`
`NO_OUTPUT`
`QUERY_TREE`
`QUERY_TREE_OPTIMIZER`

## Method Summary

Modifier and Type
Method
Description
`static ProfilerPrintFormat`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ProfilerPrintFormat[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### QUERY_TREE

public static final ProfilerPrintFormat QUERY_TREE

### JSON

public static final ProfilerPrintFormat JSON

### QUERY_TREE_OPTIMIZER

public static final ProfilerPrintFormat QUERY_TREE_OPTIMIZER

### NO_OUTPUT

public static final ProfilerPrintFormat NO_OUTPUT

### HTML

public static final ProfilerPrintFormat HTML

### GRAPHVIZ

public static final ProfilerPrintFormat GRAPHVIZ

## Method Details

### values

public static ProfilerPrintFormat[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ProfilerPrintFormat valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null